Bug 38708 - (mga G400) Xserver crashes randomly
(mga G400) Xserver crashes randomly
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-01 23:36 EDT by donniejones18
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-16 09:46:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xserver log (25.17 KB, text/plain)
2001-05-01 23:39 EDT, donniejones18
no flags Details

  None (edit)
Description donniejones18 2001-05-01 23:36:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2smp i686)


For some reason the Xserver crashes. Here is the log from the Xserver:

XFree86 Version 4.0.3 / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 16 March 2001
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.17-8smp i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Tue May  1 20:08:55 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "PS790-2"
(**) |   |-->Device "Matrox Millennium G400"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(WW) Cannot open APM
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.3
	XFree86 XInput driver : 0.1
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,7190 card 0000,0000 rev 03 class 06,00,00 hdr
00
(II) PCI: 00:01:0: chip 8086,7191 card 0000,0000 rev 03 class 06,04,00 hdr
01
(II) PCI: 00:07:0: chip 8086,7110 card 0000,0000 rev 02 class 06,01,00 hdr
80
(II) PCI: 00:07:1: chip 8086,7111 card 0000,0000 rev 01 class 01,01,80 hdr
00
(II) PCI: 00:07:2: chip 8086,7112 card 0000,0000 rev 01 class 0c,03,00 hdr
00
(II) PCI: 00:07:3: chip 8086,7113 card 0000,0000 rev 02 class 06,80,00 hdr
00
(II) PCI: 00:0d:0: chip 109e,036e card 0070,13eb rev 02 class 04,00,00 hdr
80
(II) PCI: 00:0d:1: chip 109e,0878 card 0070,13eb rev 02 class 04,80,00 hdr
80
(II) PCI: 00:0f:0: chip 1000,0001 card 0000,0000 rev 12 class 01,00,00 hdr
00
(II) PCI: 00:10:0: chip 9005,0081 card 9005,62a1 rev 02 class 01,00,00 hdr
00
(II) PCI: 00:12:0: chip 1274,5000 card 4942,4c4c rev 01 class 04,01,00 hdr
00
(II) PCI: 00:14:0: chip 8086,1229 card 8086,000c rev 08 class 02,00,00 hdr
00
(II) PCI: 01:00:0: chip 102b,0525 card 102b,2179 rev 04 class 03,00,00 hdr
00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x88 (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0x0000d000 - 0x0000dfff (0x1000) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0xfd600000 - 0xfe6fffff (0x1100000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0xf1400000 - 0xf54fffff (0x4100000) MX[B]
(II) Bus -1: bridge is at (0:7:0), (0,-1,0), BCTRL: 0x00 (VGA_EN is
cleared)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(--) PCI: (0:13:0) BrookTree unknown chipset (0x036e) rev 2, Mem @
0xfd5fe000/12
(--) PCI:*(1:0:0) Matrox MGA G400 AGP rev 4, Mem @ 0xf2000000/25,
0xfe6fc000/14, 0xfd800000/23
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
(II) Active PCI resource ranges:
	[0] -1	0xfe900000 - 0xfe9fffff (0x100000) MX[B]
	[1] -1	0xfea00000 - 0xfeafffff (0x100000) MX[B]
	[2] -1	0xfebfd000 - 0xfebfdfff (0x1000) MX[B]
	[3] -1	0xfebc0000 - 0xfebdffff (0x20000) MX[B]
	[4] -1	0xfebfff00 - 0xfebfffff (0x100) MX[B]
	[5] -1	0xfd5ff000 - 0xfd5fffff (0x1000) MX[B]
	[6] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
	[7] -1	0xfe6e0000 - 0xfe6effff (0x10000) MX[B](B)
	[8] -1	0xfd800000 - 0xfdffffff (0x800000) MX[B](B)
	[9] -1	0xfe6fc000 - 0xfe6fffff (0x4000) MX[B](B)
	[10] -1	0xf2000000 - 0xf3ffffff (0x2000000) MX[B](B)
	[11] -1	0xfd5fe000 - 0xfd5fefff (0x1000) MX[B](B)
	[12] -1	0x0000ee80 - 0x0000eebf (0x40) IX[B]
	[13] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[14] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[15] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[16] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) Inactive PCI resource ranges:
	[0] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0xfe900000 - 0xfe9fffff (0x100000) MX[B]
	[1] -1	0xfea00000 - 0xfeafffff (0x100000) MX[B]
	[2] -1	0xfebfd000 - 0xfebfdfff (0x1000) MX[B]
	[3] -1	0xfebc0000 - 0xfebdffff (0x20000) MX[B]
	[4] -1	0xfebfff00 - 0xfebfffff (0x100) MX[B]
	[5] -1	0xfd5ff000 - 0xfd5fffff (0x1000) MX[B]
	[6] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
	[7] -1	0xfe6e0000 - 0xfe6effff (0x10000) MX[B](B)
	[8] -1	0xfd800000 - 0xfdffffff (0x800000) MX[B](B)
	[9] -1	0xfe6fc000 - 0xfe6fffff (0x4000) MX[B](B)
	[10] -1	0xf2000000 - 0xf3ffffff (0x2000000) MX[B](B)
	[11] -1	0xfd5fe000 - 0xfd5fefff (0x1000) MX[B](B)
	[12] -1	0x0000ee80 - 0x0000eebf (0x40) IX[B]
	[13] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[14] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[15] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[16] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xfe900000 - 0xfe9fffff (0x100000) MX[B]
	[6] -1	0xfea00000 - 0xfeafffff (0x100000) MX[B]
	[7] -1	0xfebfd000 - 0xfebfdfff (0x1000) MX[B]
	[8] -1	0xfebc0000 - 0xfebdffff (0x20000) MX[B]
	[9] -1	0xfebfff00 - 0xfebfffff (0x100) MX[B]
	[10] -1	0xfd5ff000 - 0xfd5fffff (0x1000) MX[B]
	[11] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
	[12] -1	0xfe6e0000 - 0xfe6effff (0x10000) MX[B](B)
	[13] -1	0xfd800000 - 0xfdffffff (0x800000) MX[B](B)
	[14] -1	0xfe6fc000 - 0xfe6fffff (0x4000) MX[B](B)
	[15] -1	0xf2000000 - 0xf3ffffff (0x2000000) MX[B](B)
	[16] -1	0xfd5fe000 - 0xfd5fefff (0x1000) MX[B](B)
	[17] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[18] -1	0x0000ee80 - 0x0000eebf (0x40) IX[B]
	[19] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[20] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[21] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[22] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[23] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension GLX
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) LoadModule: "v4l"
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.0.1
	ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "mga"
(II) Loading /usr/X11R6/lib/modules/drivers/mga_drv.o
(II) Module mga: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.1
(II) v4l driver for Video4Linux
(II) MGA: driver for Matrox chipsets: mga2064w, mga1064sg, mga2164w,
	mga2164w AGP, mgag100, mgag100 PCI, mgag200, mgag200 PCI, mgag400
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset mgag400 found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xfe900000 - 0xfe9fffff (0x100000) MX[B]
	[6] -1	0xfea00000 - 0xfeafffff (0x100000) MX[B]
	[7] -1	0xfebfd000 - 0xfebfdfff (0x1000) MX[B]
	[8] -1	0xfebc0000 - 0xfebdffff (0x20000) MX[B]
	[9] -1	0xfebfff00 - 0xfebfffff (0x100) MX[B]
	[10] -1	0xfd5ff000 - 0xfd5fffff (0x1000) MX[B]
	[11] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
	[12] -1	0xfe6e0000 - 0xfe6effff (0x10000) MX[B](B)
	[13] -1	0xfd800000 - 0xfdffffff (0x800000) MX[B](B)
	[14] -1	0xfe6fc000 - 0xfe6fffff (0x4000) MX[B](B)
	[15] -1	0xf2000000 - 0xf3ffffff (0x2000000) MX[B](B)
	[16] -1	0xfd5fe000 - 0xfd5fefff (0x1000) MX[B](B)
	[17] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[18] -1	0x0000ee80 - 0x0000eebf (0x40) IX[B]
	[19] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[20] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[21] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[22] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[23] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xfe900000 - 0xfe9fffff (0x100000) MX[B]
	[6] -1	0xfea00000 - 0xfeafffff (0x100000) MX[B]
	[7] -1	0xfebfd000 - 0xfebfdfff (0x1000) MX[B]
	[8] -1	0xfebc0000 - 0xfebdffff (0x20000) MX[B]
	[9] -1	0xfebfff00 - 0xfebfffff (0x100) MX[B]
	[10] -1	0xfd5ff000 - 0xfd5fffff (0x1000) MX[B]
	[11] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
	[12] -1	0xfe6e0000 - 0xfe6effff (0x10000) MX[B](B)
	[13] -1	0xfd800000 - 0xfdffffff (0x800000) MX[B](B)
	[14] -1	0xfe6fc000 - 0xfe6fffff (0x4000) MX[B](B)
	[15] -1	0xf2000000 - 0xf3ffffff (0x2000000) MX[B](B)
	[16] -1	0xfd5fe000 - 0xfd5fefff (0x1000) MX[B](B)
	[17] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[18] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[19] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[20] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[21] -1	0x0000ee80 - 0x0000eebf (0x40) IX[B]
	[22] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[23] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[24] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[25] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[26] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[27] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[28] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(**) MGA(0): Depth 24, (--) framebuffer bpp 24
(==) MGA(0): RGB weight 888
(--) MGA(0): Chipset: "mgag400"
(II) MGA(0): Offscreen memory usage will be limited to 512 lines if the DRI
is enabled.
(==) MGA(0): UsingAGP Mode 1x
(--) MGA(0): Linear framebuffer at 0xF2000000
(--) MGA(0): MMIO registers at 0xFE6FC000
(--) MGA(0): Pseudo-DMA transfer window at 0xFD800000
(--) MGA(0): BIOS at 0xFE6E0000
(--) MGA(0): Video BIOS info block at offset 0x07A80
(WW) MGA(0): Video BIOS info block not detected!
(II) MGA(0): MGABios.RamdacType = 0x0
(==) MGA(0): Write-combining range (0xf2000000,0x2000000)
(--) MGA(0): VideoRAM: 32768 kByte
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Loading /usr/X11R6/lib/modules/libi2c.a
(II) Module i2c: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.2.0
	ABI class: XFree86 Video Driver, version 0.3
(==) MGA(0): Write-combining range (0xf2000000,0x2000000)
(II) MGA(0): I2C bus "DDC" initialized.
(II) MGA(0): I2C device "DDC:ddc2" registered.
(II) MGA(0): I2C device "DDC:ddc2" removed.
(II) MGA(0): I2C device "DDC:ddc2" registered.
(II) MGA(0): I2C device "DDC:ddc2" removed.
(II) MGA(0): I2C Monitor info: 0x833e480
(II) MGA(0): Manufacturer: VSC  Model: 4a4d  Serial#: 11393
(II) MGA(0): Year: 1999  Week: 49
(II) MGA(0): EDID Version: 1.2
(II) MGA(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) MGA(0): Sync:  Separate  Composite  SyncOnGreen
(II) MGA(0): Max H-Image Size [cm]: horiz.: 36  vert.: 27
(II) MGA(0): Gamma: 2.41
(II) MGA(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) MGA(0): First detailed timing is preferred mode
(II) MGA(0): GTF timings supported
(II) MGA(0): redX: 0.635 redY: 0.333   greenX: 0.285 greenY: 0.605
(II) MGA(0): blueX: 0.152 blueY: 0.068   whiteX: 0.283 whiteY: 0.298
(II) MGA(0): Supported VESA Video Modes:
(II) MGA(0): 720x400@70Hz
(II) MGA(0): 720x400@88Hz
(II) MGA(0): 640x480@60Hz
(II) MGA(0): 640x480@67Hz
(II) MGA(0): 640x480@72Hz
(II) MGA(0): 640x480@75Hz
(II) MGA(0): 800x600@56Hz
(II) MGA(0): 800x600@60Hz
(II) MGA(0): 800x600@72Hz
(II) MGA(0): 800x600@75Hz
(II) MGA(0): 832x624@75Hz
(II) MGA(0): 1024x768@87Hz (interlaced)
(II) MGA(0): 1024x768@60Hz
(II) MGA(0): 1024x768@70Hz
(II) MGA(0): 1024x768@75Hz
(II) MGA(0): 1280x1024@75Hz
(II) MGA(0): 1152x870@75Hz
(II) MGA(0): Manufacturer's mask: 0
(II) MGA(0): Supported Future Video Modes:
(II) MGA(0): #0: hsize: 1600  vsize 1200  refresh: 75  vid: 20393
(II) MGA(0): #1: hsize: 1600  vsize 1200  refresh: 70  vid: 19113
(II) MGA(0): #2: hsize: 1280  vsize 1024  refresh: 85  vid: 39297
(II) MGA(0): #3: hsize: 1280  vsize 960  refresh: 85  vid: 22913
(II) MGA(0): #4: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) MGA(0): #5: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) MGA(0): Supported additional Video Mode:
(II) MGA(0): clock: 157.5 MHz   Image Size:  352 x 264 mm
(II) MGA(0): h_active: 1280  h_sync: 1344  h_sync_end 1504 h_blank_end 1728
h_border: 0
(II) MGA(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1072
v_border: 0
(II) MGA(0): Serial No: MJ94911393
(II) MGA(0): Ranges: V min: 50  V max: 180 Hz, H min: 30  H max: 97 kHz,
PixClock max 220 kHz
(II) MGA(0): Monitor name: PS790-2
(II) MGA(0): end of I2C Monitor info

(==) MGA(0): Using gamma correction (1.0, 1.0, 1.0)
(==) MGA(0): Min pixel clock is 12 MHz
(==) MGA(0): Max pixel clock is 300 MHz
(II) MGA(0): PS790-2: Using hsync range of 30.00-97.00 kHz
(II) MGA(0): PS790-2: Using vrefresh range of 50.00-180.00 Hz
(II) MGA(0): Clock range:  12.00 to 300.00 MHz
(WW) MGA(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) MGA(0): Default mode "1792x1344" deleted (hsync out of range)
(WW) MGA(0): Default mode "1856x1392" deleted (hsync out of range)
(WW) MGA(0): Default mode "1920x1440" deleted (hsync out of range)
(--) MGA(0): Virtual size is 1600x1200 (pitch 1600)
(**) MGA(0): Default mode "1600x1200": 202.5 MHz, 93.8 kHz, 75.0 Hz
(**) MGA(0): Default mode "1400x1050": 184.0 MHz, 93.9 kHz, 85.3 Hz
(--) MGA(0): Display dimensions: (36, 27) cm
(--) MGA(0): DPI set to (112, 112)
(II) MGA(0): YDstOrg is set to 0
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(==) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0xfd800000 - 0xfdffffff (0x800000) MX[B]
	[1] 0	0xfe6fc000 - 0xfe6fffff (0x4000) MX[B]
	[2] 0	0xf2000000 - 0xf3ffffff (0x2000000) MX[B]
	[3] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[4] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[5] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[6] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[7] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[8] -1	0xfe900000 - 0xfe9fffff (0x100000) MX[B]
	[9] -1	0xfea00000 - 0xfeafffff (0x100000) MX[B]
	[10] -1	0xfebfd000 - 0xfebfdfff (0x1000) MX[B]
	[11] -1	0xfebc0000 - 0xfebdffff (0x20000) MX[B]
	[12] -1	0xfebfff00 - 0xfebfffff (0x100) MX[B]
	[13] -1	0xfd5ff000 - 0xfd5fffff (0x1000) MX[B]
	[14] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
	[15] -1	0xfe6e0000 - 0xfe6effff (0x10000) MX[B](B)
	[16] -1	0xfd800000 - 0xfdffffff (0x800000) MX[B](B)
	[17] -1	0xfe6fc000 - 0xfe6fffff (0x4000) MX[B](B)
	[18] -1	0xf2000000 - 0xf3ffffff (0x2000000) MX[B](B)
	[19] -1	0xfd5fe000 - 0xfd5fefff (0x1000) MX[B](B)
	[20] 0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[21] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[22] 0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[23] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[24] -1	0x0000ee80 - 0x0000eebf (0x40) IX[B]
	[25] -1	0x0000ef00 - 0x0000ef3f (0x40) IX[B]
	[26] -1	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[27] -1	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[28] -1	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[29] -1	0x0000ef80 - 0x0000ef9f (0x20) IX[B]
	[30] 0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[31] 0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(==) MGA(0): Write-combining range (0xf2000000,0x2000000)
(--) MGA(0): 16 DWORD fifo
(==) MGA(0): Default visual is TrueColor
(II) MGA(0): [drm] bpp: 24 depth: 24
(II) MGA(0): [drm] Direct rendering only supported in 16 and 32 bpp modes
(II) MGA(0): Using 2295 lines for offscreen memory.
(II) MGA(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	Solid filled trapezoids
	8x8 mono pattern filled rectangles
	8x8 mono pattern filled trapezoids
	Indirect CPU to Screen color expansion
	Screen to Screen color expansion
	Solid Lines
	Dashed Lines
	Scanline Image Writes
	Offscreen Pixmaps
	Driver provided FillMono8x8PatternRects replacement
	Setting up tile and stipple cache:
		32 128x128 slots
		19 256x256 slots
		6 512x512 slots
(==) MGA(0): Backing store disabled
(==) MGA(0): Silken mouse enabled
(**) Option "dpms"
(**) MGA(0): DPMS enabled
(II) MGA(0): Using overlay video
(II) MGA(0): direct rendering disabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "PS/2"
(**) Mouse0: Protocol: "PS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/mouse"
(==) Mouse0: Buttons: 3
(**) Option "Emulate3Buttons" "off"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
SetKbdSettings - type: 2 rate: 30 delay: 500 snumlk: 0
SetKbdSettings - Succeeded
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 202500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5

Fatal server error:
Caught signal 11.  Server aborting


When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to xfree86@xfree86.org.



Reproducible: Sometimes
Steps to Reproduce:
1.It does this by itself occasionally.
Comment 1 donniejones18 2001-05-01 23:39:11 EDT
Created attachment 17026 [details]
Xserver log
Comment 2 Mike A. Harris 2001-05-07 07:02:40 EDT
Filed in wrong component.  Changing to XFree86.  XFree86-Servers is only
for 3.3.6...
Comment 3 Mike A. Harris 2001-05-07 07:05:39 EDT
Please attach your config file using the file attach link.
Comment 4 Mike A. Harris 2001-05-07 07:48:33 EDT
Also, don't know if you know it or not, but DRI is only supported in 16
and 32 fbbpp modes.  Could be a problem with 3D screensavers perhaps.
Try disabling them.
Comment 5 Mike A. Harris 2001-05-16 09:46:47 EDT
Also try disabling DRI.  Does this fix it?  If so, does depth 16 with DRI
work?
Comment 6 Mike A. Harris 2002-02-09 05:44:17 EST
No response to requests for further troubleshooting information.
Closing bug assuming problem is solved via reconfiguration.  If problem
persists, please reopen bug including reauested information.

Note You need to log in before you can comment on or make changes to this bug.